[MediaWiki-l] Lua in 1.19?

classic Classic list List threaded Threaded
3 messages Options
Reply | Threaded
Open this post in threaded view
|

[MediaWiki-l] Lua in 1.19?

David Gerard-2
Will the assorted modules needed for Lua templates work with 1.19, or
do we need to get an actually recent MW for this? (Does it work in any
tarball release version yet?)


- d.

_______________________________________________
MediaWiki-l mailing list
[hidden email]
https://lists.wikimedia.org/mailman/listinfo/mediawiki-l
Reply | Threaded
Open this post in threaded view
|

Re: Lua in 1.19?

thingles
I tried to use Scribunto with 1.20.2 and it would not work, so I'm guessing you need a "wmf" build of MW right now to use Scribunto.
Jamie Thingelstad
[hidden email]
mobile: 612-810-3699
find me on AIM Twitter Facebook LinkedIn

On Feb 27, 2013, at 2:28 AM, David Gerard <[hidden email]> wrote:

> Will the assorted modules needed for Lua templates work with 1.19, or
> do we need to get an actually recent MW for this? (Does it work in any
> tarball release version yet?)
>
>
> - d.
>
> _______________________________________________
> MediaWiki-l mailing list
> [hidden email]
> https://lists.wikimedia.org/mailman/listinfo/mediawiki-l

_______________________________________________
MediaWiki-l mailing list
[hidden email]
https://lists.wikimedia.org/mailman/listinfo/mediawiki-l
Reply | Threaded
Open this post in threaded view
|

Re: Lua in 1.19?

Chad
In reply to this post by David Gerard-2
On Wed, Feb 27, 2013 at 12:28 AM, David Gerard <[hidden email]> wrote:
> Will the assorted modules needed for Lua templates work with 1.19, or
> do we need to get an actually recent MW for this? (Does it work in any
> tarball release version yet?)
>

Nope. It makes use of some of the new ContentHandler stuff,
so it requires master.

-Chad

_______________________________________________
MediaWiki-l mailing list
[hidden email]
https://lists.wikimedia.org/mailman/listinfo/mediawiki-l